<?php
require_once('classes/command_class.php');
require_once('include/db_config.inc.php');

$oCommand 	= new command_class();
$userPaths 	= $oCommand->getNagiosUserConfig();
pdo_db();

// parse escaped GET URL
parse_str(urldecode($_SERVER['QUERY_STRING']));

echo "<pre width=\"100%\">";
if(!isset($show)) {
	echo "Missing parameter";
} else {
	$parameter = '';
	$command_line = "";
	if ($cmdID){
		$cmdInfo = $oCommand->getObjectById($cmdID, 'command');
		if (!$cmdInfo){
			echo "Unable to fetch info on command ".$cmdID."<br />";
			exit;
		}
		$command_line = $cmdInfo['command_line'];

		foreach ($userPaths as $key => $val){
			$command_line = str_replace('$'.$key.'$', $val, $command_line);
		}

		$plugin_path 	= "";
		$aCmdLine 		= explode(" ", $command_line);
		$plugin_path 	= $aCmdLine[0];
	}
	if ($plugin_path!==''){
		$help = shell_exec('/usr/bin/asmonitor '.escapeshellcmd($plugin_path.' -h ') . ' 2>&1');
	} else {
		$help = shell_exec(escapeshellcmd("/opt/monitor/op5/nacoma/pluginlist.sh $show"));
	}
	if ($command_line!=='' && $showCmdLine==='true'){
		echo "<strong>Command line of selected check command</strong>:\n";
		echo $command_line."\n\n";
	}

	if ($help==''){
		echo "<strong>No syntax help available...</strong>";
	} else {
		echo "\n<strong>Plugin syntax:</strong>\n";
		$aHelp = explode("\n\n", $help);
		if (is_array($aHelp)){
			for ($a=0;$a<sizeof($aHelp);$a++){
				if (strstr($aHelp[$a], '@lists.sourceforge.net')){
					continue;
				}
				echo htmlentities($aHelp[$a])."\n";
			}
		} else {
			echo nl2br(htmlentities($help));
		}
	}
}

echo "</pre>";
