<?php

require_once(dirname(__FILE__).'/string.php');

/**
 * A string widget with a wiki shortcut, used for notes_url fields
 */
class notesurl_widget extends string_widget {
	function render($obj, $token, $value) {
		$type = $obj->type;
		if (strpos($type, 'template') !== false)
			$type = substr($type, 0, strpos($type, '_template'));
		if ($type === 'service') {
			$url = 'hosts/$HOSTNAME$/$SERVICEDESC$';
		}
		else {
			$url = $type.'s/$'.strtoupper($type).'NAME$';
		}
		$dokuwiki_url = '/dokuwiki/doku.php/'.$url;
		parent::render($obj, $token, $value);
		echo "<input type=\"button\" value=\"Use wiki\" onclick=\"this.form.elements['{$obj->type}[$obj->id][$token]'].value='$dokuwiki_url';\" />\n";
	}
}
