function helpClass()
{
	var that = this;
	$.getJSON(
		'js/helptexts.json',
		function (data) {
			that.helptexts = data;
		}
	);
}


if(document.all) {
	document.onmousemove = UpdateCursorPositionDocAll;
} else {
	document.onmousemove = UpdateCursorPosition;
}

function UpdateCursorPosition(e){
	cX = e.pageX;
	cY = e.pageY;
}
function UpdateCursorPositionDocAll(e){
	cX = event.clientX;
	cY = event.clientY;
}


function AssignPosition(d) {
	if(self.pageYOffset) {
		rX = self.pageXOffset;
		rY = self.pageYOffset;
	} else if(document.documentElement && document.documentElement.scrollTop) {
		rX = document.documentElement.scrollLeft;
		rY = document.documentElement.scrollTop;
	} else if(document.body) {
		rX = document.body.scrollLeft;
		rY = document.body.scrollTop;
	}
	if(document.all) {
		cX += rX;
		cY += rY;
	}
	d.style.left = (cX-22) + "px";
	d.style.top = (cY+10) + "px";
}

function HideContent(d) {
	if(d.length < 1) {
		return;
	}
	document.getElementById(d).style.display = "none";
}
function ShowContent(d,varname) {
	if(d.length < 1) { return; }
	var dd = document.getElementById(d);
	var desc = '';

	var layerstart = '<div class="floatleft"><img src="images/help/top.png" alt="" class="block" /></div>'+"\n"+
						  '<div id="help-body">'+"\n"+
						  '<h1>Help</h1>'+"\n"+
						  '<img src="images/help/close.gif" alt="Close" title="Close" class="close" onclick="HideContent(\''+d+'\')" />'+"\n"+
						  '<hr />'+"\n"+
						  '<p>'+"\n";

	var layerend = '</p>'+"\n"+
						'</div>'+"\n"+
						'<div class="floatleft"><img src="images/help/bottom.png" alt="" class="block" /></div>'+"\n";

	if (!helper.helptexts[varname])
		desc = '-- description missing --'
	else if (typeof(helper.helptexts[varname]) == 'object')
		desc = helper.helptexts[varname][$('#foobar_form')[0].obj_type.value]
	else
		desc = helper.helptexts[varname];

	AssignPosition(dd);
	dd.innerHTML = layerstart + desc + layerend;
	dd.style.display = 'block';

}

function ShowHoverContent(d,varname,groupname) {
	if(d.length < 1) { return; }
	var dd = document.getElementById(d);
	var desc = '';

	var layerstart = '<div class="floatleft"><img src="images/help/top.png" alt="" class="block" /></div>'+"\n"+
						  '<div id="help-body">'+"\n"+
						  '<h1>'+ varname +'</h1>'+"\n"+
						  '<hr />'+"\n"+
						  '<p>'+"\n"+
						  '<b>Group: </b>'+groupname+"\n"+
						  '</p><p>'+"\n";

	var layerend = '</p>'+"\n"+
						'</div>'+"\n"+
						'<div class="floatleft"><img src="images/help/bottom.png" alt="" class="block" /></div>'+"\n";

	if (!helper.helptexts[varname])
		desc = '-- description missing --'
	else if (typeof(helper.helptexts[varname]) == 'object')
		desc = helper.helptexts[varname][$('#foobar_form')[0].obj_type.value]
	else
		desc = helper.helptexts[varname];

	AssignPosition(dd);
	dd.innerHTML = layerstart + desc + layerend;
	dd.style.display = 'block';

}

function ReverseContentDisplay(d) {
	if(d.length < 1) { return; }
	var dd = document.getElementById(d);
	AssignPosition(dd);
	if(dd.style.display == "none") {
		dd.style.display = "block";
	} else {
		dd.style.display = "none";
	}
}

function openwindow(theLink, theWidth, theHeight, isToolbar, isResizable, isScrollable){
	theWidth		= theWidth!='' ? theWidth : 500;
	theHeight		= theHeight!='' ? theHeight : 500;
	isToolbar		= isToolbar!='' ? isToolbar : 1;
	isResizable		= isResizable!='' ? isResizable : 1;
	isScrollable	= isScrollable!='' ? isScrollable : 1;
	window.open(theLink,'mywin','left=0,top=0,width=' + theWidth + ',height=' + theHeight + ',toolbar=' + isToolbar + ',resizable=' + isResizable + ',scrollbars=' +  isScrollable);
}

var helper = new helpClass();

var cX = 0; var cY = 0; var rX = 0; var rY = 0;
