#!/bin/sh

# if you need to add new fields, add them to this list
fields=( host service contact hostgroup servicegroup contactgroup template host_template service_template contact_template command timeperiod FILE servicedependency serviceescalation hostdependency hostescalation access_rights pnp export )

db_user=root
db_pass=

if [ "$db_pass" != "" ]
then
	db_login_opts="-u$db_user -p$db_pass"
else
	db_login_opts="-u$db_user"
fi

for field in "${fields[@]}"; do
	if [[ $(mysql nacoma $db_login_opts -e "SELECT id FROM role_permissions WHERE object_type='$field' AND role_id=1" | wc -l) -eq 0 ]]; then
		mysql nacoma $db_login_opts -e "INSERT INTO role_permissions (role_id, object_type, rule) VALUES (1, '$field', 'allow')"
	fi
done

mysql nacoma $db_login_opts -e "DELETE FROM role_permissions WHERE object_type='hostextinfo' OR object_type='serviceextinfo'"
