<?php

/**
 * An exception thrown when there is a validation error
 */
class widget_validation_exception extends Exception {}

/**
 * A widget really only does two things: it can print itself,
 * and parse the resulting input data (and validate it, if applicable)
 */
abstract class base_widget {
	/**
	 * Print widget
	 */
	abstract function render($obj, $token, $value);

	/**
	 * Validate and return widget's value
	 */
	static function validate($obj, $token, $value) {
		return $value;
	}
}
